Wrong omvextras version uploaded

    • Wrong omvextras version uploaded

      I just reinstalled OMV 4.1.32. When trying to add OMV extras I accidentally fetched and uploaded the file for version 5.xx. Now, of course, OMV shows me the version 5.2.1 under extensions, but he doesn't let me install it.
      The message is:

      the following packages have unmet dependencies:
      openmediavault-omvextrasorg : Depends openmediavault (>= 5.0) but
      it is not going to be installed
      E: Unable to correct problems, you have held broken packages.

      I have tried several times to upload the correct version, but under "Extensions" there is always version 5.2.1 which I cannot install. How do I get it away?




      Ich habe eben OMV 4.1.32 neu installiert. Beim Versuch OMV-Extras zuzufügen habe ich versehentlich die Datei für Version 5.xx geholt und hochgeladen. Jetzt zeigt mir OMV unter Erweiterungen natürlich die Version 5.2.1 an welche er mich aber nicht Installieren lässt.
      Die Meldung ist:

      the following packages have unmet dependencies:
      openmediavault-omvextrasorg : Depends openmediavault (>= 5.0) but
      it is not going to be installed
      E: Unable to correct problems, you have held broken packages.

      Ich habe nun mehrfach versucht die richtige Version hochzuladen allerdings bleibt unter "Erweiterungen" immer die Version 5.2.1 welche ich nicht installieren kann. Wie bekomme ich die wieder weg?
    • Kawatreiber7 wrote:

      I have tried several times to upload the correct version, but under "Extensions" there is always version 5.2.1 which I cannot install. How do I get it away?
      apt-get purge openmediavault-omvextrasorg from the command line.

      Kawatreiber7 wrote:

      accidentally fetched and uploaded the file for version 5.xx
      This is why the preferred method on the guide geaves linked to is using the script I wrote.
      omv 5.3.2 usul | 64 bit | 5.3 proxmox kernel | omvextrasorg 5.2.4
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • geaves wrote:

      Kawatreiber7 wrote:

      How do I get it away?
      Here
      I had already tried that. That doesn't work...


      ryecoaaron wrote:

      Kawatreiber7 wrote:

      I have tried several times to upload the correct version, but under "Extensions" there is always version 5.2.1 which I cannot install. How do I get it away?
      apt-get purge openmediavault-omvextrasorg from the command line.

      Kawatreiber7 wrote:

      accidentally fetched and uploaded the file for version 5.xx
      This is why the preferred method on the guide geaves linked to is using the script I wrote.
      Now omv found and installed some updates. My original problem with the clock remains that under "Extensions" only version 5.2.1 is offered.
    • apt-get clean

      then follow guide. If you use the script, it doesn't matter what version is offered in the web interface.
      omv 5.3.2 usul | 64 bit | 5.3 proxmox kernel | omvextrasorg 5.2.4
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Kawatreiber7 wrote:

      It does not work
      Can't help you if you don't give any output.

      Kawatreiber7 wrote:

      I give up and will reinstall tomorrow. thanks for trying to help.
      There is no need to reinstall. It just requires patience and providing output.
      omv 5.3.2 usul | 64 bit | 5.3 proxmox kernel | omvextrasorg 5.2.4
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • I would also rather solve this problem than work around it. Reinstalling is not solved ...
      What output do you need?

      I have tried all of the proposed actions several times, in some cases I had found these solutions long before my question and tried several times.

      The result is always the same ... I can't get this "omvextrasorg 5.2.1" from the extension list, and omv quits trying to install this package with the message:

      "the following packages have unmet dependencies:
      openmediavault-omvextrasorg : Depends openmediavault (>= 5.0) but
      it is not going to be installed
      E: Unable to correct problems, you have held broken packages."

      I've tried:

      "https://forum.openmediavault.org/index.php/Thread/5549-OMV-Extras-org-Plugin/"

      "apt-get purge openmediavault-omvextrasorg" ... restart and then "https://forum.openmediavault.org/index.php/Thread/5549-OMV-Extras-org-Plugin/"

      "apt-get clean" ...restart and then "https://forum.openmediavault.org/index.php/Thread/5549-OMV-Extras-org-Plugin/" i also tried the alternate method in this link.

      By the way the source in this link (For OMV 5.x (usul) - github.com/OpenMediaVault-Plug…extrasorg_latest_all5.deb) is what i inadvertently following these instructions put to the extension site.

      All my search in the web to fix this problem i found i tried but no attempt i found solved the problem.
    • Try the following commands and don't do anything else. Please post all of the output from these commands.

      apt-get purge openmedivault-omvextrasorg
      apt-get clean
      dpkg -l | grep openm
      ls -al /etc/apt/sources.list.d
      omv 5.3.2 usul | 64 bit | 5.3 proxmox kernel | omvextrasorg 5.2.4
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Users Online 1

      1 Guest